Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 24 Sep 2019 14:41:32 +0000

Hi Chaitanya,

Exactly what do you mean by node cost out and what use case are you trying to satisfy. If a node wants to remove itself from the topology, it can simply withdraw its link NLRI. However, are you looking for a mechanism similar to the OSPFv3 R-Bit as a Node NLRI SPF Attribute?

   R-bit
      This bit (the `Router' bit) indicates whether the originator is an
      active router.  If the router bit is clear, then routes that
      transit the advertising node cannot be computed.  Clearing the
      router bit would be appropriate for a multi-homed host that wants
      to participate in routing, but does not want to forward non-
      locally addressed packets.

Thanks,
Acee

From: Lsvr <[email-masked]> on behalf of "YADLAPALLI, CHAITANYA" <[email-masked]>
Date: Tuesday, September 24, 2019 at 10:31 AM
To: "[email-masked]" <[email-masked]>
Subject: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Hi Authors,
The draft does not explicitly call out mechanisms for node cost out. It would be good to call out mechanisms to cost out a node explicitly.

Thanks,
Chaitanya

Chaitanya Yadlapalli
Network Infrastructure And Services

AT&T Services, Inc.
200 S Laurel Ave, Middletown, NJ 07722
o  732.420.7977  |  [email-masked]<mailto:[email-masked]>

This communication may contain information that is privileged, or confidential. If you are not the intended recipient, please note that any dissemination, distribution or copying of this communication is strictly prohibited.  Anyone who receives this message in error should notify the sender immediately by telephone or by return e-mail and delete it from his or her computer.

---

From: "YADLAPALLI, CHAITANYA" <[email-masked]>
Date: Tue, 24 Sep 2019 15:01:58 +0000

Correct like a R-Bit.

I have read this draft and I support it.

Thanks,
Chaitanya

From: Acee Lindem (acee) <[email-masked]>
Sent: Tuesday, September 24, 2019 10:42 AM
To: YADLAPALLI, CHAITANYA <[email-masked]>; [email-masked]
Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Hi Chaitanya,

   R-bit

Thanks,
Acee

From: Lsvr <[email-masked]<mailto:[email-masked]>> on behalf of "YADLAPALLI, CHAITANYA" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 24, 2019 at 10:31 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Hi Authors,

Thanks,
Chaitanya

Chaitanya Yadlapalli

AT&T Services, Inc.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 24 Sep 2019 15:05:02 +0000

Hi Chaitanya,
I think this is a good idea and will discuss with my co-authors.
Thanks,
Acee

From: "YADLAPALLI, CHAITANYA" <[email-masked]>
Date: Tuesday, September 24, 2019 at 11:02 AM
To: Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Correct like a R-Bit.

Thanks,
Chaitanya

Hi Chaitanya,

   R-bit

Thanks,
Acee

Hi Authors,

Thanks,
Chaitanya

Chaitanya Yadlapalli

AT&T Services, Inc.

---

From: Pushpasis Sarkar <[email-masked]>
Date: Thu, 26 Sep 2019 12:22:40 +0530

Hi Chaitanya and Acee,

How about the 'O' bit in Node-Flag-Bits TLV defined in RFC 7752 section
3.3.1.1? I suppose the node can set the 'O' bit when it wants to take
itself out from all transit paths. I know the 'O' bit is more related to
the scenario when ISIS topology is being exported in BGP-LS. But I suppose
we can use that for BGP-LS-SPF as well.

Thanks
-Pushpasis

On Tue, Sep 24, 2019 at 8:35 PM Acee Lindem (acee) <[email-masked]> wrote:

> *From: *"YADLAPALLI, CHAITANYA" <[email-masked]>
> *Date: *Tuesday, September 24, 2019 at 11:02 AM
> *To: *Acee Lindem <[email-masked]>, "[email-masked]" <[email-masked]>
> *Subject: *RE: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf
>
>
>
> Correct like a R-Bit.
>
>
>
> This communication may contain information that is privileged, or
> confidential. If you are not the intended recipient, please note that any
> dissemination, distribution or copying of this communication is strictly
> prohibited.  Anyone who receives this message in error should notify the
> sender immediately by telephone or by return e-mail and delete it from his
> or her computer.
>
>
>
>
>
>
>
> *From:* Acee Lindem (acee) <[email-masked]>
> *Sent:* Tuesday, September 24, 2019 10:42 AM
> *To:* YADLAPALLI, CHAITANYA <[email-masked]>; [email-masked]
> *Subject:* Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf
>
>
>
> Hi Chaitanya,
>
>
>
> Exactly what do you mean by node cost out and what use case are you trying
> to satisfy. If a node wants to remove itself from the topology, it can
> simply withdraw its link NLRI. However, are you looking for a mechanism
> similar to the OSPFv3 R-Bit as a Node NLRI SPF Attribute?
>
>
>
>    R-bit
>
> *From: *Lsvr <[email-masked]> on behalf of "YADLAPALLI, CHAITANYA"
> <[email-masked]>
> *Date: *Tuesday, September 24, 2019 at 10:31 AM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf
>
>
>
> Hi Authors,
>
> The draft does not explicitly call out mechanisms for node cost out. It
> would be good to call out mechanisms to cost out a node explicitly.
>
>
>
> Thanks,
>
> Chaitanya
>
>
>
>
>
> *Chaitanya Yadlapalli*
>
> *AT&T Services, Inc.*
> o  732.420.7977  |  [email-masked]
>
>
>
> This communication may contain information that is privileged, or
> confidential. If you are not the intended recipient, please note that any
> dissemination, distribution or copying of this communication is strictly
> prohibited.  Anyone who receives this message in error should notify the
> sender immediately by telephone or by return e-mail and delete it from his
> or her computer.
>
>
>
>
> _______________________________________________
> Lsvr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsvr
>

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Thu, 26 Sep 2019 14:14:44 +0000

Hi Pushpasis,
This OSPFv3 R Bit and IS-IS O bit are basically the same functionality. The node is not used for transit but is used for local prefixes.
Thanks,
Acee

From: Pushpasis Sarkar <[email-masked]>
Date: Thursday, September 26, 2019 at 2:53 AM
To: Acee Lindem <[email-masked]>
Cc: "YADLAPALLI, CHAITANYA" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Hi Chaitanya and Acee,

How about the 'O' bit in Node-Flag-Bits TLV defined in RFC 7752 section 3.3.1.1? I suppose the node can set the 'O' bit when it wants to take itself out from all transit paths. I know the 'O' bit is more related to the scenario when ISIS topology is being exported in BGP-LS. But I suppose we can use that for BGP-LS-SPF as well.

Thanks
-Pushpasis

On Tue, Sep 24, 2019 at 8:35 PM Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>> wrote:
Hi Chaitanya,
I think this is a good idea and will discuss with my co-authors.
Thanks,
Acee

From: "YADLAPALLI, CHAITANYA" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, September 24, 2019 at 11:02 AM
To: Acee Lindem <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Correct like a R-Bit.

Thanks,
Chaitanya

From: Acee Lindem (acee) <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, September 24, 2019 10:42 AM
To: YADLAPALLI, CHAITANYA <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Hi Chaitanya,

   R-bit

Thanks,
Acee

Hi Authors,

Thanks,
Chaitanya

Chaitanya Yadlapalli

AT&T Services, Inc.

_______________________________________________
Lsvr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/lsvr

---

From: Keyur Patel <[email-masked]>
Date: Thu, 26 Sep 2019 21:44:25 +0000

Hi Chaitanya, Acee,

I agree it’s a good idea. I was checking base LS and it seems that the functionality is missing. Maybe we add this feature as a separate LS draft and cover it in SPF as an extension?

Regards,
Keyur

From: Lsvr <[email-masked]> on behalf of "Acee Lindem (acee)" <[email-masked]>
Date: Tuesday, September 24, 2019 at 8:05 AM
To: "YADLAPALLI, CHAITANYA" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf
Resent-From: <[email-masked]>

Hi Chaitanya,

Correct like a R-Bit.

Thanks,
Chaitanya

Hi Chaitanya,

   R-bit

Thanks,
Acee

Hi Authors,

Thanks,
Chaitanya

Chaitanya Yadlapalli

AT&T Services, Inc.

---

From: Keyur Patel <[email-masked]>
Date: Thu, 26 Sep 2019 21:51:13 +0000

Hi Pushpasis,

What you are looking for is a H-bit support in OSPFv2 like feature.

https://tools.ietf.org/html/draft-ietf-ospf-ospfv2-hbit-06

Regards,
Keyur

From: Lsvr <[email-masked]> on behalf of Pushpasis Sarkar <[email-masked]>
Date: Wednesday, September 25, 2019 at 11:53 PM
To: "Acee Lindem (acee)" <[email-masked]>
Cc: "YADLAPALLI, CHAITANYA" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf
Resent-From: <[email-masked]>

Hi Chaitanya and Acee,

Thanks
-Pushpasis

Correct like a R-Bit.

Thanks,
Chaitanya

Hi Chaitanya,

   R-bit

Thanks,
Acee

Hi Authors,

Thanks,
Chaitanya

Chaitanya Yadlapalli

AT&T Services, Inc.

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Sun, 29 Sep 2019 06:45:30 +0000

After discussion with my co-authors and Pushpasis, we are planning on defining an SPF Status TLV for the Node Attribute NLRI analogous to the one defined for Links and Prefixes. However, for the Node Attribute TLV, the status would have an additional value indicating the node should not be used for transit traffic.

                          0 – Reserved
                          1 – Node unreachable with respect to BGP SPF
                          2 – Node does not support transit with respect to BGP SPF
                  3-254 – Undefined
                      255 – Reserved

Comments?

Thanks,
Acee

From: Lsvr <[email-masked]> on behalf of Acee Lindem <[email-masked]>
Date: Thursday, September 26, 2019 at 10:15 AM
To: Pushpasis Sarkar <[email-masked]>
Cc: "YADLAPALLI, CHAITANYA" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Lsvr] Mail regarding draft-ietf-lsvr-bgp-spf

Hi Pushpasis,

Hi Chaitanya and Acee,

Thanks
-Pushpasis

Correct like a R-Bit.

Thanks,
Chaitanya

Hi Chaitanya,

   R-bit

Thanks,
Acee

Hi Authors,

Thanks,
Chaitanya

Chaitanya Yadlapalli

AT&T Services, Inc.